{
	"columns": [
		{
			"field": "wpa_production_lot",
			"width": 60,
			"name": "Valm.erä",
			"enterable": 1
		},
		{
			"field": "wpa_type_",
			"width": 34,
			"name": "Tyyppi",
			"enterable": 1
		},
		{
			"field": "wpa_start_subtype",
			"width": 42,
			"name": "Al. alat.",
			"enterable": 1
		},
		{
			"field": "wpa_subtype",
			"width": 46,
			"name": "Alatyyppi",
			"enterable": 1
		},
		{
			"field": "wpa_info",
			"width": 63,
			"name": "Lisätietoja",
			"enterable": 1
		},
		{
			"field": "wpa_record_id",
			"width": 56,
			"name": "ID",
			"enterable": 1
		},
		{
			"field": "wpa_change_id",
			"width": 51,
			"name": "Muutos ID",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 26,
			"lineBackColor": -2,
			"field": "wo_state",
			"lineForeColor": -2,
			"name": "Tila",
			"headerForeColor": -2
		},
		{
			"field": "wpa_work_phase_est_id",
			"width": 30,
			"name": "Työv.",
			"enterable": 1
		},
		{
			"field": "wpa_start_employee_id",
			"width": 39,
			"name": "Aloittaja",
			"enterable": 1
		},
		{
			"field": "wpa_employee_id",
			"width": 34,
			"name": "Työnt.",
			"enterable": 1
		},
		{
			"field": "wpa_work_load_group_id",
			"width": 50,
			"name": "Kuormitusr.",
			"enterable": 1
		},
		{
			"field": "wpa_program_id",
			"width": 57,
			"name": "Ohj. numero",
			"enterable": 1
		},
		{
			"field": "wpa_additional_data",
			"width": 40,
			"name": "Lisädata",
			"enterable": 1
		},
		{
			"field": "wpa_work_description",
			"width": 79,
			"name": "Työnkuvaus",
			"enterable": 1
		},
		{
			"field": "wpa_start_shift_number",
			"width": 28,
			"name": "Al.v.",
			"enterable": 1
		},
		{
			"field": "wpa_start_date",
			"width": 58,
			"name": "Alkupäivä",
			"enterable": 1
		},
		{
			"width": 51,
			"enterable": 1,
			"field": "wpa_start_time",
			"name": "Alkuaika",
			"format": "&/1"
		},
		{
			"field": "wpa_shift_number",
			"width": 37,
			"name": "Lop.v.",
			"enterable": 1
		},
		{
			"field": "wpa_date_",
			"width": 65,
			"name": "Lopetuspäivä",
			"enterable": 1
		},
		{
			"width": 51,
			"enterable": 1,
			"field": "wpa_end_time",
			"name": "Loppuaika",
			"format": "&/1"
		},
		{
			"width": 39,
			"enterable": 1,
			"field": "wpa_work_time__amount",
			"name": "Työaika",
			"footerValue": "==Sum"
		},
		{
			"width": 51,
			"enterable": 1,
			"field": "wpa_machine_hours",
			"name": "Konetunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"enterable": 1,
			"field": "wpa_produced_amount",
			"name": "Tehty määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 89,
			"enterable": 1,
			"field": "wpa_setup_time__amount",
			"name": "Asetusaika/määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"enterable": 1,
			"field": "wpa_failed_amount",
			"name": "Susien määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 70,
			"enterable": 1,
			"field": "wpa_unpaid_hours",
			"name": "Palkattomat",
			"footerValue": "==Sum"
		},
		{
			"width": 61,
			"enterable": 1,
			"field": "wpa_evening_work_hours",
			"name": "Iltalisätunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"enterable": 1,
			"field": "wpa_night_work_hours",
			"name": "Yölisätunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 85,
			"enterable": 1,
			"field": "wpa_est_work_time__unit",
			"name": "Arv. työaika/kpl",
			"footerValue": "==Sum"
		},
		{
			"width": 51,
			"enterable": 1,
			"field": "wpa_work_cost_price__amount",
			"name": "Työ OK",
			"footerValue": "==Sum"
		},
		{
			"width": 89,
			"enterable": 1,
			"field": "wpa_est_setup_time__lot",
			"name": "Arv. asetusaika/erä",
			"footerValue": "==Sum"
		},
		{
			"field": "wpa_track_time_status",
			"width": 44,
			"name": "OA tila",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "wpa_kTbl",
		"gridName": "Lista",
		"type": "Output",
		"footerHeight": 1,
		"oneField": "wpa_kTbl",
		"enterable": 1
	}
}